"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.addTransformer = void 0;
const dts_1 = require("../../dts");
const transformers = {};
/**
 * add javascript transformer
 * @param item
 */
function addTransformer(item) {
    const mod = require(item.transformer);
    const transformer = mod.default || mod;
    transformers[item.id] = transformer;
}
exports.addTransformer = addTransformer;
/**
 * builtin javascript loader
 */
const jsLoader = function (content) {
    var _a;
    const isTsFile = /tsx?$/.test(this.resource);
    const transformer = transformers[this.config.transformer];
    const outputOpts = {};
    if (isTsFile) {
        // specific output ext
        outputOpts.ext = '.js';
        if ((_a = (0, dts_1.getTsconfig)(this.context)) === null || _a === void 0 ? void 0 : _a.options.declaration) {
            // mark for output declaration file
            outputOpts.declaration = true;
        }
        this.setOutputOptions(outputOpts);
    }
    const ret = transformer.call({
        config: this.config,
        pkg: this.pkg,
        paths: {
            cwd: this.cwd,
            fileAbsPath: this.resource,
        },
    }, content.toString());
    // handle async transformer
    if (ret instanceof Promise) {
        const cb = this.async();
        ret.then((r) => cb(null, r), (e) => cb(e));
    }
    else {
        return ret;
    }
};
exports.default = jsLoader;
